Index: /trunk/library/PEAR/PEAR/PackageFile/v2.php
===================================================================
--- /trunk/library/PEAR/PEAR/PackageFile/v2.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/PackageFile/v2.php	(revision 7655)
@@ -329,7 +329,7 @@
         $mymaintainers = $this->getMaintainers();
         $yourmaintainers = $pf1->getMaintainers();
-        for ($i1 = 0; $i1 < count($yourmaintainers); $i1++) {
+        for ($i1 = 0; $i1 < count($yourmaintainers); ++$i1) {
             $reset = false;
-            for ($i2 = 0; $i2 < count($mymaintainers); $i2++) {
+            for ($i2 = 0; $i2 < count($mymaintainers); ++$i2) {
                 if ($mymaintainers[$i2]['handle'] == $yourmaintainers[$i1]['handle']) {
                     if ($mymaintainers[$i2]['role'] != $yourmaintainers[$i1]['role']) {
@@ -1213,5 +1213,5 @@
             }
 
-            for ($i = 0; $i < count($releases['configureoption']); $i++) {
+            for ($i = 0; $i < count($releases['configureoption']); ++$i) {
                 $releases['configureoption'][$i] = $releases['configureoption'][$i]['attribs'];
             }
Index: /trunk/library/PEAR/PEAR/ErrorStack.php
===================================================================
--- /trunk/library/PEAR/PEAR/ErrorStack.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/ErrorStack.php	(revision 7655)
@@ -845,10 +845,10 @@
                   $backtrace[$functionframe]['function'] == 'eval' &&
                   isset($backtrace[$functionframe + 1])) {
-                $functionframe++;
+                ++$functionframe;
             }
         }
         if (isset($backtrace[$frame])) {
             if (!isset($backtrace[$frame]['file'])) {
-                $frame++;
+                ++$frame;
             }
             $funcbacktrace = $backtrace[$functionframe];
Index: /trunk/library/PEAR/PEAR/Command/Remote.php
===================================================================
--- /trunk/library/PEAR/PEAR/Command/Remote.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/Command/Remote.php	(revision 7655)
@@ -793,5 +793,5 @@
                         $output .= "deleted $path\n";
                     }
-                    $num++;
+                    ++$num;
                 } elseif ($verbose >= 1) {
                     $output .= "failed to delete $path $php_errormsg\n";
Index: /trunk/library/PEAR/PEAR/Command/Test.php
===================================================================
--- /trunk/library/PEAR/PEAR/Command/Test.php	(revision 5146)
+++ /trunk/library/PEAR/PEAR/Command/Test.php	(revision 7655)
@@ -289,5 +289,5 @@
             }
 
-            $j++;
+            ++$j;
         }
 
Index: /trunk/library/PEAR/System.php
===================================================================
--- /trunk/library/PEAR/System.php	(revision 5146)
+++ /trunk/library/PEAR/System.php	(revision 7655)
@@ -323,5 +323,5 @@
 
         $count_args = count($args);
-        for ($i = 0; $i < $count_args; $i++) {
+        for ($i = 0; $i < $count_args; ++$i) {
             if ($args[$i] == '>') {
                 $mode = 'wb';
@@ -578,5 +578,5 @@
         $do_files = $do_dirs = true;
         $args_count = count($args);
-        for ($i = 0; $i < $args_count; $i++) {
+        for ($i = 0; $i < $args_count; ++$i) {
             switch ($args[$i]) {
                 case '-type':
@@ -588,5 +588,5 @@
                         }
                     }
-                    $i++;
+                    ++$i;
                     break;
                 case '-name':
@@ -596,5 +596,5 @@
                     $name = strtr($name, array('\?' => '.', '\*' => '.*'));
                     $patterns[] = '('.$name.')';
-                    $i++;
+                    ++$i;
                     break;
                 case '-maxdepth':
@@ -616,5 +616,5 @@
             $ret = array();
             $files_count = count($files);
-            for ($i = 0; $i < $files_count; $i++) {
+            for ($i = 0; $i < $files_count; ++$i) {
                 // only search in the part of the file below the current directory
                 $filepart = basename($files[$i]);
Index: /trunk/library/mime/mimeDecode.php
===================================================================
--- /trunk/library/mime/mimeDecode.php	(revision 6063)
+++ /trunk/library/mime/mimeDecode.php	(revision 7655)
@@ -326,5 +326,5 @@
 
                     $parts = $this->_boundarySplit($body, $content_type['other']['boundary']);
-                    for ($i = 0; $i < count($parts); $i++) {
+                    for ($i = 0; $i < count($parts); ++$i) {
                         list($part_header, $part_body) = $this->_splitBodyHeader($parts[$i]);
                         $part = $this->_decode($part_header, $part_body, $default_ctype);
@@ -386,5 +386,5 @@
                 $return[$prepend . $mime_number] = &$structure;
             }
-            for ($i = 0; $i < count($structure->parts); $i++) {
+            for ($i = 0; $i < count($structure->parts); ++$i) {
 
             
@@ -521,5 +521,5 @@
             $escaped = false;
             if ($c == '\\') {
-                $i++;
+                ++$i;
                 if ($i == $l-1) { // end of string.
                     break;
@@ -535,5 +535,5 @@
                     $val = '';
                     $key = trim($key);
-                    $i++;
+                    ++$i;
                     continue;
                 }
@@ -547,5 +547,5 @@
                 }
                 $key .= $c;
-                $i++;
+                ++$i;
                 continue;
             }
@@ -556,5 +556,5 @@
                 // not in quote yet.
                 if ((!strlen($val) || $lq !== false) && $c == ' ' ||  $c == "\t") {
-                    $i++;
+                    ++$i;
                     continue; // skip leading spaces after '=' or after '"'
                 }
@@ -565,5 +565,5 @@
                     // but we will handle it as a merged part of the string..
                     $val = !strlen(trim($val)) ? '' : trim($val);
-                    $i++;
+                    ++$i;
                     continue;
                 }
@@ -593,10 +593,10 @@
                     $key = '';
                     $lq = false;
-                    $i++;
+                    ++$i;
                     continue;
                 }
 
                 $val .= $c;
-                $i++;
+                ++$i;
                 continue;
             }
@@ -608,5 +608,5 @@
                 $lq = $q;
                 $q = false;
-                $i++;
+                ++$i;
                 continue;
             }
@@ -614,5 +614,5 @@
             // normal char inside of quoted string..
             $val.= $c;
-            $i++;
+            ++$i;
         }
         
@@ -668,5 +668,5 @@
 
         $len = count($tmp) -1;
-        for ($i = 1; $i < $len; $i++) {
+        for ($i = 1; $i < $len; ++$i) {
             if (strlen(trim($tmp[$i]))) {
                 $parts[] = $tmp[$i];
@@ -792,5 +792,5 @@
         preg_match_all("/begin ([0-7]{3}) (.+)\r?\n(.+)\r?\nend/Us", $input, $matches);
 
-        for ($j = 0; $j < count($matches[3]); $j++) {
+        for ($j = 0; $j < count($matches[3]); ++$j) {
 
             $str      = $matches[3][$j];
@@ -802,5 +802,5 @@
             $strlen = count($str);
 
-            for ($i = 0; $i < $strlen; $i++) {
+            for ($i = 0; $i < $strlen; ++$i) {
                 $pos = 1;
                 $d = 0;
@@ -943,5 +943,5 @@
             // Multiple headers with this name
             if (is_array($headers[$hdr_name])) {
-                for ($i = 0; $i < count($hdr_value); $i++) {
+                for ($i = 0; $i < count($hdr_value); ++$i) {
                     $output .= Mail_mimeDecode::_getXML_helper($hdr_name, $hdr_value[$i], $indent);
                 }
@@ -954,5 +954,5 @@
 
         if (!empty($input->parts)) {
-            for ($i = 0; $i < count($input->parts); $i++) {
+            for ($i = 0; $i < count($input->parts); ++$i) {
                 $output .= $crlf . str_repeat($htab, $indent) . '<mimepart>' . $crlf .
                            Mail_mimeDecode::_getXML($input->parts[$i], $indent+1) .
Index: /trunk/library/mime/mimePart.php
===================================================================
--- /trunk/library/mime/mimePart.php	(revision 6057)
+++ /trunk/library/mime/mimePart.php	(revision 7655)
@@ -283,5 +283,5 @@
             $encoded['body'] = ''; 
 
-            for ($i = 0; $i < count($this->_subparts); $i++) {
+            for ($i = 0; $i < count($this->_subparts); ++$i) {
                 $encoded['body'] .= '--' . $boundary . $eol;
                 $tmp = $this->_subparts[$i]->encode();
@@ -393,5 +393,5 @@
 
         if (count($this->_subparts)) {
-            for ($i = 0; $i < count($this->_subparts); $i++) {
+            for ($i = 0; $i < count($this->_subparts); ++$i) {
                 fwrite($fh, $f_eol . '--' . $boundary . $eol);
                 $res = $this->_subparts[$i]->_encodePartToFile($fh);
@@ -581,5 +581,5 @@
                 $char = $line[$i];
                 $dec  = ord($char);
-                $i++;
+                ++$i;
 
                 if (($dec == 32) && (!isset($line[$i]))) {
@@ -688,5 +688,5 @@
                 $value = '';
             }
-            $headCount++;
+            ++$headCount;
         }
 
@@ -921,5 +921,5 @@
         $strlen = strlen($string);
 
-        for ($q=$p=$i=0; $i < $strlen; $i++) {
+        for ($q=$p=$i=0; $i < $strlen; ++$i) {
             if ($string[$i] == "\""
                 && (empty($string[$i-1]) || $string[$i-1] != "\\")
@@ -1103,5 +1103,5 @@
             $prev  = '';
 
-            for ($i=1; $i<=$length; $i++) {
+            for ($i=1; $i<=$length; ++$i) {
                 // See #17311
                 $chunk = mb_substr($str, $start, $i-$start, $charset);
@@ -1134,5 +1134,5 @@
             $regexp = '/([\x22-\x29\x2C\x2E\x3A-\x40\x5B-\x60\x7B-\x7E\x80-\xFF])/';
 
-            for ($i=0; $i<=$length; $i++) {
+            for ($i=0; $i<=$length; ++$i) {
                 $char = mb_substr($str, $i, 1, $charset);
                 // RFC recommends underline (instead of =20) in place of the space
Index: /trunk/library/mime/mime.php
===================================================================
--- /trunk/library/mime/mime.php	(revision 6266)
+++ /trunk/library/mime/mime.php	(revision 7655)
@@ -895,5 +895,5 @@
         case !$text && !$html && $attachments:
             $message =& $this->_addMixedPart();
-            for ($i = 0; $i < count($this->_parts); $i++) {
+            for ($i = 0; $i < count($this->_parts); ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -903,5 +903,5 @@
             $message =& $this->_addMixedPart();
             $this->_addTextPart($message, $this->_txtbody);
-            for ($i = 0; $i < count($this->_parts); $i++) {
+            for ($i = 0; $i < count($this->_parts); ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -930,5 +930,5 @@
                 $ht =& $this->_addRelatedPart($message);
                 $this->_addHtmlPart($ht);
-                for ($i = 0; $i < count($this->_html_images); $i++) {
+                for ($i = 0; $i < count($this->_html_images); ++$i) {
                     $this->_addHtmlImagePart($ht, $this->_html_images[$i]);
                 }
@@ -939,5 +939,5 @@
                 $message =& $this->_addRelatedPart($null);
                 $this->_addHtmlPart($message);
-                for ($i = 0; $i < count($this->_html_images); $i++) {
+                for ($i = 0; $i < count($this->_html_images); ++$i) {
                     $this->_addHtmlImagePart($message, $this->_html_images[$i]);
                 }
@@ -958,5 +958,5 @@
                 $this->_addHtmlPart($message);
             }
-            for ($i = 0; $i < count($this->_html_images); $i++) {
+            for ($i = 0; $i < count($this->_html_images); ++$i) {
                 $this->_addHtmlImagePart($message, $this->_html_images[$i]);
             }
@@ -973,5 +973,5 @@
                 $this->_addHtmlPart($message);
             }
-            for ($i = 0; $i < count($this->_parts); $i++) {
+            for ($i = 0; $i < count($this->_parts); ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -989,8 +989,8 @@
             }
             $this->_addHtmlPart($rel);
-            for ($i = 0; $i < count($this->_html_images); $i++) {
+            for ($i = 0; $i < count($this->_html_images); ++$i) {
                 $this->_addHtmlImagePart($rel, $this->_html_images[$i]);
             }
-            for ($i = 0; $i < count($this->_parts); $i++) {
+            for ($i = 0; $i < count($this->_parts); ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -1009,8 +1009,8 @@
             }
 			
-            for ($i = 0; $i < count($this->_html_images); $i++) {
+            for ($i = 0; $i < count($this->_html_images); ++$i) {
                 $this->_addHtmlImagePart($message, $this->_html_images[$i]);
             }
-            for ($i = 0; $i < count($this->_parts); $i++) {
+            for ($i = 0; $i < count($this->_parts); ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
Index: /trunk/library/iCalcreator/iCalUtilityFunctions.class.php
===================================================================
--- /trunk/library/iCalcreator/iCalUtilityFunctions.class.php	(revision 5146)
+++ /trunk/library/iCalcreator/iCalUtilityFunctions.class.php	(revision 7655)
@@ -352,5 +352,5 @@
     $output = array();
     $val    = null;
-    for( $ix=0; $ix < strlen( $duration ); $ix++ ) {
+    for( $ix=0; $ix < strlen( $duration ); ++$ix ) {
       switch( strtoupper( substr( $duration, $ix, 1 ))) {
        case 'W':
@@ -697,5 +697,5 @@
         $yeardays   = $weekno = 0;
         $yeardaycnt = array();
-        for( $m = 1; $m <= 12; $m++ ) { // count up and update up-counters
+        for( $m = 1; $m <= 12; ++$m ) { // count up and update up-counters
           $daycnts[$m] = array();
           $weekdaycnt = array();
@@ -703,8 +703,8 @@
             $yeardaycnt[$dn] = $weekdaycnt[$dn] = 0;
           $mcnt     = date( 't', mktime( 0, 0, 0, $m, 1, $wdate['year'] ));
-          for( $d   = 1; $d <= $mcnt; $d++ ) {
+          for( $d   = 1; $d <= $mcnt; ++$d ) {
             $daycnts[$m][$d] = array();
             if( isset( $recur['BYYEARDAY'] )) {
-              $yeardays++;
+              ++$yeardays;
               $daycnts[$m][$d]['yearcnt_up'] = $yeardays;
             }
@@ -880,5 +880,5 @@
         else {
             /* update result array if BYSETPOS is set */
-          $countcnt++;
+          ++$countcnt;
           if( $startdatets <= $wdatets ) { // only output within period
             $result[$wdatets] = TRUE;
@@ -939,5 +939,5 @@
        //echo "recur ".implode('-',iCalUtilityFunctions::_date_time_string(date('Y-m-d H:i:s',$bysetposarr1[$ix]),6))."<br />\n";//test
               }
-              $countcnt++;
+              ++$countcnt;
             }
             if( isset( $recur['COUNT'] ) && ( $countcnt >= $recur['COUNT'] ))
Index: /trunk/library/iCalcreator/iCalcreator.class.php
===================================================================
--- /trunk/library/iCalcreator/iCalcreator.class.php	(revision 5316)
+++ /trunk/library/iCalcreator/iCalcreator.class.php	(revision 7655)
@@ -394,5 +394,5 @@
             if( $propix != $xpropno )
               $reduced[$xpropkey] = $xpropvalue;
-            $xpropno++;
+            ++$xpropno;
           }
         }
@@ -450,5 +450,5 @@
                                     : array( $xpropkey, $this->xprop[$xpropkey]['value'] );
             else
-              $xpropno++;
+              ++$xpropno;
           }
           return FALSE; // not found ??
@@ -766,5 +766,5 @@
           return TRUE;
         }
-        $cix1dC++;
+        ++$cix1dC;
       }
       elseif( !$argType && ($arg1 == $component->getProperty( 'uid' ))) {
@@ -817,5 +817,5 @@
          if( $index == $cix1gC )
            return $component->copy();
-         $cix1gC++;
+         ++$cix1gC;
       }
       elseif( !$argType && ($arg1 == $component->getProperty( 'uid' ))) {
@@ -1219,5 +1219,5 @@
           return TRUE;
         }
-        $cix1sC++;
+        ++$cix1sC;
       }
       elseif( !$argType && ( $arg1 == $component2->getProperty( 'uid' ))) { // UID insert/replace
@@ -1289,5 +1289,5 @@
     elseif( 'vtimezone' == $b->objName )          return  1;
     $sortkeys = array( 'year', 'month', 'day', 'hour', 'min', 'sec' );
-    for( $k = 0; $k < 4 ; $k++ ) {
+    for( $k = 0; $k < 4 ; ++$k ) {
       if(        empty( $a->srtk[$k] ))           return -1;
       elseif(    empty( $b->srtk[$k] ))           return  1;
@@ -1376,5 +1376,5 @@
         $line = substr( $line, 0, ( strlen( $line ) - strlen( "\n\r" ))).'\n';
       if(     'BEGIN:VCALENDAR' == strtoupper( substr( $line, 0, 15 ))) {
-        $calsync++;
+        ++$calsync;
         continue;
       }
@@ -1420,5 +1420,5 @@
         if( $newProp ) {
           $newProp = FALSE;
-          $lastix++;
+          ++$lastix;
           $proprows[$lastix]  = $line;
         }
@@ -1446,5 +1446,5 @@
             /* get propname */
         $cix = $propname = null;
-        for( $cix=0, $clen = strlen( $line ); $cix < $clen; $cix++ ) {
+        for( $cix=0, $clen = strlen( $line ); $cix < $clen; ++$cix ) {
           if( in_array( $line[$cix], array( ':', ';' )))
             break;
@@ -1460,5 +1460,5 @@
         $attrix = -1;
         $strlen = strlen( $line );
-        for( $cix=0; $cix < $strlen; $cix++ ) {
+        for( $cix=0; $cix < $strlen; ++$cix ) {
           if((       ':'   == $line[$cix] )             &&
                    ( '://' != substr( $line, $cix, 3 )) &&
@@ -1500,9 +1500,9 @@
           $content  = explode( ',', $line );
           $clen     = count( $content );
-          for( $cix = 0; $cix < $clen; $cix++ ) {
+          for( $cix = 0; $cix < $clen; ++$cix ) {
             if( "\\" == substr( $content[$cix], -1 )) {
               $content[$cix] .= ','.$content[$cix + 1];
               unset( $content[$cix + 1] );
-              $cix++;
+              ++$cix;
             }
           }
@@ -2740,5 +2740,5 @@
         if( $fno < $cnt )
           $content .= ',';
-        $fno++;
+        ++$fno;
       }
       $output .= $this->_createElement( 'FREEBUSY', $attributes, $content );
@@ -3122,5 +3122,5 @@
         if( $rno < $cnt )
           $content .= ',';
-        $rno++;
+        ++$rno;
       }
       $output    .= $this->_createElement( 'RDATE', $attributes, $content );
@@ -3930,5 +3930,5 @@
     $length = 6;
     $str    = null;
-    for( $p = 0; $p < $length; $p++ )
+    for( $p = 0; $p < $length; ++$p )
       $unique .= $base{mt_rand( $start, $end )};
     $this->uid = array( 'params' => null );
@@ -4335,5 +4335,5 @@
                 }
                 $content2 .= $content21.$content22;
-                $bydaycnt++;
+                ++$bydaycnt;
               }
               else {
@@ -4343,5 +4343,5 @@
                 else {
                   $content22 .= $valuePart;
-                  $bydaycnt++;
+                  ++$bydaycnt;
                 }
                 $content2 .= $content21.$content22;
@@ -4812,5 +4812,5 @@
             if( $propix != $xpropno )
               $reduced[$xpropkey] = $xpropvalue;
-            $xpropno++;
+            ++$xpropno;
           }
         }
@@ -5029,5 +5029,5 @@
                                     : array( $xpropkey, $this->xprop[$xpropkey]['value'] );
             else
-              $xpropno++;
+              ++$xpropno;
           }
           return FALSE; // not found ??
@@ -5054,5 +5054,5 @@
       return FALSE;
     $arglist[0] = strtoupper( $arglist[0] );
-    for( $argix=$numargs; $argix < 12; $argix++ ) {
+    for( $argix=$numargs; $argix < 12; ++$argix ) {
       if( !isset( $arglist[$argix] ))
         $arglist[$argix] = null;
@@ -5212,5 +5212,5 @@
       if( $newProp ) {
         $newProp = FALSE;
-        $lastix++;
+        ++$lastix;
         $proprows[$lastix]  = $line;
       }
@@ -5240,5 +5240,5 @@
             /* get propname, (problem with x-properties, otherwise in previous loop) */
       $cix = $propname = null;
-      for( $cix=0, $clen = strlen( $line ); $cix < $clen; $cix++ ) {
+      for( $cix=0, $clen = strlen( $line ); $cix < $clen; ++$cix ) {
         if( in_array( $line[$cix], array( ':', ';' )))
           break;
@@ -5259,5 +5259,5 @@
       $controlCN = false;
 
-      for( $cix=0; $cix < $clen; $cix++ ) {
+      for( $cix=0; $cix < $clen; ++$cix ) {
 
         if('"' == $line[$cix] && $controlCN)  $controlCN = false;
@@ -5315,9 +5315,9 @@
             $content  = explode( ',', $line );
             $clen     = count( $content );
-            for( $cix = 0; $cix < $clen; $cix++ ) {
+            for( $cix = 0; $cix < $clen; ++$cix ) {
               if( "\\" == substr($content[$cix], -1)) {
                 $content[$cix] .= ','.$content[$cix + 1];
                 unset($content[$cix + 1]);
-                $cix++;
+                ++$cix;
               }
             }
@@ -5522,5 +5522,5 @@
           return TRUE;
         }
-        $cix2dC++;
+        ++$cix2dC;
       }
       elseif( !$argType && ($arg1 == $component->getProperty( 'uid' ))) {
@@ -5574,5 +5574,5 @@
          if( $index == $cix2gC )
            return $component->copy();
-         $cix2gC++;
+         ++$cix2gC;
       }
       elseif( !$argType && ( $arg1 == $component->getProperty( 'uid' ))) {
@@ -5671,5 +5671,5 @@
           return TRUE;
         }
-        $cix2sC++;
+        ++$cix2sC;
       }
       elseif( !$argType && ( $arg1 == $component2->getProperty( 'uid' ))) { // UID insert/replace
@@ -5751,5 +5751,5 @@
       $bytecnt = strlen( $tmp );
       $charCnt = $ix = 0;
-      for( $ix = 0; $ix < $bytecnt; $ix++ ) {
+      for( $ix = 0; $ix < $bytecnt; ++$ix ) {
         if(( 73 < $charCnt ) && ( '\n' == substr( $tmp, $ix, $eolcharlen ))) {
           $ix += $eolcharlen;
Index: /trunk/library/CssToInlineStyles/css_to_inline_styles.php
===================================================================
--- /trunk/library/CssToInlineStyles/css_to_inline_styles.php	(revision 5745)
+++ /trunk/library/CssToInlineStyles/css_to_inline_styles.php	(revision 7655)
@@ -409,5 +409,5 @@
 
 			// increment
-			$i++;
+			++$i;
 		}
 
Index: /trunk/mobile/inc/class.ui_mobilecalendar.inc.php
===================================================================
--- /trunk/mobile/inc/class.ui_mobilecalendar.inc.php	(revision 6057)
+++ /trunk/mobile/inc/class.ui_mobilecalendar.inc.php	(revision 7655)
@@ -204,10 +204,10 @@
 				
 				//identificando os dias do mês anterior
-				for($i = 0; $i < $day_of_week_first_day; $i++) {
+				for($i = 0; $i < $day_of_week_first_day; ++$i) {
 					$days_of_calendar[$i] = array("day" => ($last_day_of_before_month-$day_of_week_first_day+$i+1), "month" => $last_month_year[0], "year" => $last_month_year[1], "other_month" => true);					
 				}
 				
 				//adicionando os dias do mês especificado
-				for($i = 0; $i < ($last_day_of_month ); $i++) {
+				for($i = 0; $i < ($last_day_of_month ); ++$i) {
 					$days_of_calendar[$i+$day_of_week_first_day] = array("day" => $i+1, "month" => $month, "year" => $year, "other_month" => false);
 				}
@@ -234,5 +234,5 @@
 				$this->template->parse('events_box','bar_block',true);
 				
-				for($i = 0; $i < 7; $i++) {
+				for($i = 0; $i < 7; ++$i) {
 					$this->template->set_var("week_day", $this->shortDaysOfWeek[$i]);
 					$this->template->parse('week_day_box','calendar_header_block',true);
Index: /trunk/mobile/inc/class.ui_mobilemail.inc.php
===================================================================
--- /trunk/mobile/inc/class.ui_mobilemail.inc.php	(revision 6714)
+++ /trunk/mobile/inc/class.ui_mobilemail.inc.php	(revision 7655)
@@ -573,5 +573,5 @@
 			{
 				// Geração das páginas
-				for ($i = 1; $i <= $number_of_pages ; $i++)
+				for ($i = 1; $i <= $number_of_pages ; ++$i)
 				{
 
Index: /trunk/mobile/inc/class.ui_mobilecc.inc.php
===================================================================
--- /trunk/mobile/inc/class.ui_mobilecc.inc.php	(revision 5928)
+++ /trunk/mobile/inc/class.ui_mobilecc.inc.php	(revision 7655)
@@ -225,8 +225,8 @@
 				$this->template->set_var('href_next',"index.php?menuaction=mobile.".
 										 "ui_mobilecc.change_letter&letter=".$last_letter);
-				$first_letter++;
-			}
-			
-			for($i=1;$i<=$max_letters;$i++) { //Roda as letras
+				++$first_letter;
+			}
+			
+			for($i=1;$i<=$max_letters;++$i) { //Roda as letras
 					$this->template->set_var("href","index.php?menuaction=mobile.".
 											"ui_mobilecc.change_letter&letter=".$first_letter);
@@ -238,5 +238,5 @@
 					$this->template->set_var("letter",strtoupper($first_letter));
 					$this->template->fp("pagging_letters","pagging_block",true);
-					$first_letter++;
+					++$first_letter;
 			}
 			
@@ -846,5 +846,5 @@
 	
 				if ( !empty($params['email']) || !empty($params['id_connection_email']) ){
-					$cont++;
+					++$cont;
 				
 					if (empty($params['id_connection_email'])){
@@ -860,5 +860,5 @@
 	
 				if ( !empty($params['phone']) || !empty($params['id_connection_phone']) ){
-					$cont++;
+					++$cont;
 	
 					if (empty($params['id_connection_phone'])){
Index: /trunk/mobile/index.php
===================================================================
--- /trunk/mobile/index.php	(revision 5303)
+++ /trunk/mobile/index.php	(revision 7655)
@@ -14,5 +14,5 @@
 	}
 	
-	$fwConstruct .= $REQUEST_URI;
+	$fwConstruct .= urldecode($REQUEST_URI);
 	
 	if(!$GLOBALS['sessionid'])
Index: /trunk/header.session.inc.php
===================================================================
--- /trunk/header.session.inc.php	(revision 7126)
+++ /trunk/header.session.inc.php	(revision 7655)
@@ -31,5 +31,5 @@
 			$ip_exploded = explode(",",$new_ip);
 			$new_ip = "";
-			for($i=0;$i<2;$i++)
+			for($i=0;$i<2;++$i)
 				$new_ip .= isset($ip_exploded[$i])?(($i==1?",":"").trim($ip_exploded[$i])):("");
 			if(strlen($new_ip)>30)
Index: /trunk/filemanager/tests/benchmark_dav.php
===================================================================
--- /trunk/filemanager/tests/benchmark_dav.php	(revision 3019)
+++ /trunk/filemanager/tests/benchmark_dav.php	(revision 7655)
@@ -30,5 +30,5 @@
     $times = array(); 
 	$phpgw->vfs->cd();
-	for ($i=0;$i<20; $i++)
+	for ($i=0;$i<20; ++$i)
 	{
 		$phpgw->vfs->dav_client->cached_props = array();
@@ -46,5 +46,5 @@
     $times = array(); 
 	$phpgw->vfs->cd();
-	for ($i=0;$i<20; $i++)
+	for ($i=0;$i<20; ++$i)
 	{
 		$phpgw->vfs->dav_client->cached_props = array();
Index: /trunk/filemanager/tp/dompdf/dompdf.php
===================================================================
--- /trunk/filemanager/tp/dompdf/dompdf.php	(revision 6057)
+++ /trunk/filemanager/tp/dompdf/dompdf.php	(revision 7655)
@@ -108,10 +108,10 @@
     case "-h":
       $opts["h"] = true;
-      $i++;
+      ++$i;
       break;
 
     case "-l":
       $opts["l"] = true;
-      $i++;
+      ++$i;
       break;
 
@@ -146,10 +146,10 @@
     case "-v":
       $opts["v"] = true;
-      $i++;
+      ++$i;
       break;
 
     case "-d":
       $opts["d"] = true;
-      $i++;
+      ++$i;
       break;
 
@@ -163,5 +163,5 @@
    default:
       $opts["filename"] = $_SERVER["argv"][$i];
-      $i++;
+      ++$i;
       break;
     }
Index: /trunk/filemanager/tp/dompdf/include/gd_adapter.cls.php
===================================================================
--- /trunk/filemanager/tp/dompdf/include/gd_adapter.cls.php	(revision 3019)
+++ /trunk/filemanager/tp/dompdf/include/gd_adapter.cls.php	(revision 7655)
@@ -264,9 +264,9 @@
 
       if ( count($style) == 1 ) {
-        for ($i = 0; $i < $style[0] * $this->_aa_factor; $i++) {
+        for ($i = 0; $i < $style[0] * $this->_aa_factor; ++$i) {
           $gd_style[] = $c;
         }
 
-        for ($i = 0; $i < $style[0] * $this->_aa_factor; $i++) {
+        for ($i = 0; $i < $style[0] * $this->_aa_factor; ++$i) {
           $gd_style[] = $this->_bg_color;
         }
@@ -279,14 +279,14 @@
           if ( $i % 2 == 0 ) {
             // 'On' pattern
-            for ($i = 0; $i < $style[0] * $this->_aa_factor; $i++) 
+            for ($i = 0; $i < $style[0] * $this->_aa_factor; ++$i)
               $gd_style[] = $c;
             
           } else {
             // Off pattern
-            for ($i = 0; $i < $style[0] * $this->_aa_factor; $i++) 
+            for ($i = 0; $i < $style[0] * $this->_aa_factor; ++$i)
               $gd_style[] = $this->_bg_color;
             
           }
-          $i++;
+          ++$i;
         }
       }
@@ -332,5 +332,5 @@
 
       foreach ($style as $length) {
-        for ($i = 0; $i < $length; $i++) {
+        for ($i = 0; $i < $length; ++$i) {
           $gd_style[] = $c;
         }
@@ -409,5 +409,5 @@
 
       foreach ($style as $length) {
-        for ($i = 0; $i < $length; $i++) {
+        for ($i = 0; $i < $length; ++$i) {
           $gd_style[] = $c;
         }
@@ -456,5 +456,5 @@
 
       foreach ($style as $length) {
-        for ($i = 0; $i < $length; $i++) {
+        for ($i = 0; $i < $length; ++$i) {
           $gd_style[] = $c;
         }
Index: /trunk/filemanager/tp/dompdf/include/cpdf_adapter.cls.php
===================================================================
--- /trunk/filemanager/tp/dompdf/include/cpdf_adapter.cls.php	(revision 3019)
+++ /trunk/filemanager/tp/dompdf/include/cpdf_adapter.cls.php	(revision 7655)
@@ -851,5 +851,5 @@
 
       $this->close_object();
-      $page_number++;
+      ++$page_number;
     }
   }
Index: /trunk/filemanager/tp/dompdf/include/stylesheet.cls.php
===================================================================
--- /trunk/filemanager/tp/dompdf/include/stylesheet.cls.php	(revision 6057)
+++ /trunk/filemanager/tp/dompdf/include/stylesheet.cls.php	(revision 7655)
@@ -327,5 +327,5 @@
 
     if ( !in_array($selector{0}, array(" ", ">", ".", "#", "+", ":", "[")) ) {
-    	$d++;
+    	++$d;
     }
 
@@ -373,5 +373,5 @@
 
       $s = $selector{$i};
-      $i++;
+      ++$i;
 
       // Eat characters up to the next delimiter
@@ -500,5 +500,5 @@
         // Read the attribute value, if required
         if ( $op != "" ) {
-          $j++;
+          ++$j;
           while ( $j < $tok_len ) {
             if ( $tok{$j} == "]" )
@@ -548,5 +548,5 @@
       }
     }
-    $i++;
+    ++$i;
 
 //       case ":":
Index: /trunk/filemanager/tp/dompdf/include/pdflib_adapter.cls.php
===================================================================
--- /trunk/filemanager/tp/dompdf/include/pdflib_adapter.cls.php	(revision 3019)
+++ /trunk/filemanager/tp/dompdf/include/pdflib_adapter.cls.php	(revision 7655)
@@ -281,5 +281,5 @@
     // Close all pages
     $this->_pdf->suspend_page("");
-    for ($p = 1; $p <= $this->_page_count; $p++) {
+    for ($p = 1; $p <= $this->_page_count; ++$p) {
       $this->_pdf->resume_page("pagenumber=$p");
       $this->_pdf->end_page_ext("");
@@ -844,5 +844,5 @@
     $this->_pdf->suspend_page("");
 
-    for ($p = 1; $p <= $this->_page_count; $p++) {
+    for ($p = 1; $p <= $this->_page_count; ++$p) {
       $this->_pdf->resume_page("pagenumber=$p");
 
